papi_avail(1)

NAME
papi_avail - papi_avail utility.

file papi_avail.c

Name

papi_avail - provides availability and detailed information for PAPI preset and user defined events.

Synopsis

papi_avail [-adht] [-e event]

Description

papi_avail is a PAPI utility program that reports information about the current PAPI installation and supported preset and user defined events.

Options

•   -h Display help information about this utility.
•   -a Display only the available PAPI events.
•   -c Display only the available PAPI events after a check.
•   -d Display PAPI event information in a more detailed format.
•   -e < event > Display detailed event information for the named event. This event can be a preset event, a user defined event, or a native event. If the event is a preset or a user defined event the output shows a list of native events the event is based on and the formula that is used to compute the events final value.

Event filtering options

•   --br Display branch related PAPI preset events
•   --cache Display cache related PAPI preset events
•   --cnd Display conditional PAPI preset events
•   --fp Display Floating Point related PAPI preset events
•   --ins Display instruction related PAPI preset events
•   --idl Display Stalled or Idle PAPI preset events
•   --l1 Display level 1 cache related PAPI preset events
•   --l2 Display level 2 cache related PAPI preset events
•   --l3 Display level 3 cache related PAPI preset events
•   --mem Display memory related PAPI preset events
•   --msc Display miscellaneous PAPI preset events
•   --tlb Display Translation Lookaside Buffer PAPI preset events

Bugs
There are no known bugs in this utility. If you find a bug, it should be reported to the PAPI Mailing List at ptools-perfapi@icl.utk.edu.

See also
    PAPI_derived_event_files